import $ from 'jquery'
import 'jquery-contextmenu'

function buildContextMenu(editor, store) {
    return function (triggeringElement, event) {
        return {
            items: {
                createNewPage: {
                    name: 'Create page from item',
                    callback: function (key, opt) {
                        console.log('Create page from item', key, opt)
                    }
                },
                copy: {
                    name: 'Copy',
                    callback: function (key, opt) {
                        editor.copy(this, {recursive: true}).then(result => {
                            console.log(result)
                        })
                    }
                },
                copyLine: {
                    name: 'Copy line',
                    callback: function (key, opt) {
                        editor.copy(this, {recursive: false}).then(result => {
                            console.log(result)
                        })
                    }
                }
            }
        }
    }
}

function connectContextMenu(editor) {
    $.contextMenu({
        selector: '.marker',
        build: buildContextMenu(editor),
    });
}

export default {
    connectContextMenu: connectContextMenu
}
